package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.evaluate.student.SmartSubjectTemplate;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 平分项管理 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-03-14
 */
public interface SmartSubjectTemplateService extends IService<SmartSubjectTemplate> {

    public int insertSmartSubjectTemplate(SmartSubjectTemplate sa);

    public int updateSmartSubjectTemplate(SmartSubjectTemplate sa);

    public PageUtils<SmartSubjectTemplate> queryPageSmartSubjectTemplate(int currentPage, int pageCount, QueryWrapper<SmartSubjectTemplate> queryWrapper);

    public int deleteSmartSubjectTemplateById(int id);

    public SmartSubjectTemplate getSmartSubjectTemplateById(int id);

    public List<SmartSubjectTemplate> getSmartSubjectTemplateList();

    public List<SmartSubjectTemplate> getSmartSubjectTemplateByKey(QueryWrapper<SmartSubjectTemplate> queryWrapper);

}
